
Infrastructure - Bug #1165

Maximum heap size set during postint script

2010-12-20 22:28 - Robert Waltz

Status: Closed Start date: 2010-12-20

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2011.48-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

modify ARGS in tomcat init script to set -Xmx=4096M

History

#1 - 2011-02-04 17:08 - Robert Waltz

- Milestone set to CCI-0.6

#2 - 2011-03-09 18:46 - Robert Waltz

- Milestone deleted (CCI-0.6)

- Priority changed from Normal to Low

That has been changed in the setup document create_xn_vm.txt to be:

JAVA_OPTS="-Djava.awt.headless=true \

-Djava.rmi.server.hostname=128.111.220.46 \

-Dcom.sun.management.jmxremote.port=8686 \

-Dcom.sun.management.jmxremote.ssl=false \

-XX:UseParallelGC \

-XX:MaxPermSize=128m \

-Xms8192m \

-Xmx8192m"

So, we may wish to do this automatically in the postinst

#3 - 2011-09-28 19:24 - Robert Waltz

- Priority changed from Low to High

- Milestone set to None

This bit us again in development.

#4 - 2011-10-07 21:41 - Robert Waltz

- Milestone changed from None to CCI-0.7.0

#5 - 2011-10-07 21:48 - Robert Waltz

- Position set to 55
#6 - 2011-11-15 04:12 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2011.48-Block.6

- Position deleted (79)

#7 - 2011-11-29 17:35 - Robert Waltz

- Milestone changed from CCI-0.7.0 to CCI-1.0.0

#8 - 2011-12-02 21:17 - Robert Waltz

- Status changed from New to Closed

#9 - 2011-12-02 21:19 - Robert Waltz

- Status changed from Closed to In Progress

#10 - 2011-12-02 21:39 - Robert Waltz

- Status changed from In Progress to Closed

#11 - 2011-12-02 21:40 - Robert Waltz

changes to support -Xmx8192 -XX:UseParallelGC -XX:MaxPermSize=128M -Xms8192M
